Subject: Re: [PATCH 1/9] powerpc/44x: Add PowerPC 44x simple platform support

From: Roland Dreier <[email-masked]>
Date: Wed, 20 Aug 2008 09:33:06 -0700

> You should fix 52xx with the same for loop change then, since I
 > blatantly most of this file from you ;)

Heh, then factor out mpc5200_simple_probe() into a helper and use it
instead of copying it as ppc44x_probe?  ;)

If you stick to the NULL-terminated array version, then it becomes easy
to convert some other platform probing code to use your new code too, eg
tqm85xx_probe() could use an array too.

 - R.